Subject: Re: [PATCH 03/19] completion: use __gitdir() in _git_log()

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 May 2012 11:41:13 -0700

SZEDER Gábor <[email-masked]> writes:

> The standard way to find out the path to the repository in the
> completion script is the __gitdir() helper function, because that
> handles the repository path given on the command line (i.e. git
> --git-dir=/path/to/repo log --<TAB>).  However, there is one
> exception: the completion function for 'git log' still uses 'git
> rev-parse --git-dir' directly, and could offer (or not) the '--merge'
> option erroneously when the repository is specified on the command
> line.

Here `--merge` is the visible symptom, and the real issue you fixed is
that it used to be looking into a repository that is different from the
user is working with, right [*1*]?

Well spotted, and the fix sounds correct.

Thanks.

[Footnote]

*1* I am just making sure I am reading the above right; I am not
suggesting to omit description of visible symptom at all---quite
the opposite, I do want to see these visible symptom descriptions
in the log messages.